id: os_condition_logic_validation
name: OS condition logic validation
version: '1.0'
category: ncf_techniques
items:
  - id: 74537fd1-bbb7-460e-bf2c-dcfc341c2fe0
    name: logic with or
    condition: ubuntu_22_04|debian_12
    method: file_present
    params:
      path: /tmp/os-condition-or
  - id: 8421d610-ebc6-4a2f-b3de-f04fb101e944
    name: for ubuntu 22.04.03
    condition: ubuntu_22_04
    method: file_present
    params:
      path: /tmp/os-condition-only-ubuntu22
  - id: b63fc018-b2d8-4f4b-8535-b4143e760779
    name: for debian 12
    condition: debian_12
    method: file_present
    params:
      path: /tmp/os-condition-only-debian12
  - id: e7920e1e-b7ca-42bf-be4c-68391fcf064f
    name: test and
    condition: debian_12.(file_present__tmp_os_condition_only_debian12_kept|centos_8)
    method: file_present
    params:
      path: /tmp/os-condition-and-deb12
